package com.eco.plugin.xx.bsdsjtb.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "用户同步配置")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.eco.plugin.xx.bsdsjtb.config", text = "用户同步配置", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "programid", name = "应用id", description = "应用id", status = Status.SHOW)
    private Conf<String> programid = Holders.simple("");

    @Identifier(value = "programcode", name = "应用编码", description = "应用编码", status = Status.SHOW)
    private Conf<String> programcode = Holders.simple("");

    @Identifier(value = "url", name = "接口地址", description = "接口地址", status = Status.SHOW)
    private Conf<String> url = Holders.simple("");


    public String getProgramid() {
        return programid.get();
    }

    public void setProgramid(String url) {
        this.programid.set(url);
    }

    public String getProgramcode() {
        return programcode.get();
    }

    public void setProgramcode(String url) {
        this.programcode.set(url);
    }

    public String getUrl() {
        return url.get();
    }

    public void setUrl(String url) {
        this.url.set(url);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();
//        cloned.text = (Conf<String>) text.clone();
//        cloned.count = (Conf<Integer>) count.clone();
//        cloned.price = (Conf<Double>) price.clone();
//        cloned.time = (Conf<Long>) time.clone();
//        cloned.student = (Conf<Boolean>) student.clone();
        return cloned;
    }

}
